Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQCanvasText Class Reference
[canvas module]

The TQCanvasText class provides a text object on a TQCanvas. More...

`#include <ntqcanvas.h>`

Inherits TQCanvasItem.

List of all member functions.

## Public Members

- TQCanvasText ( TQCanvas * canvas )
- TQCanvasText ( const TQString & t, TQCanvas * canvas )
- TQCanvasText ( const TQString & t, TQFont f, TQCanvas * canvas )
- virtual ~TQCanvasText ()
- void setText ( const TQString & t )
- void setFont ( const TQFont & f )
- void setColor ( const TQColor & c )
- TQString text () const
- TQFont font () const
- TQColor color () const
- int textFlags () const
- void setTextFlags ( int f )
- virtual TQRect boundingRect () const
- virtual int rtti () const

## Protected Members

- virtual void draw ( TQPainter & painter )

## Detailed Description

The TQCanvasText class provides a text object on a TQCanvas.

A canvas text item has text with font, color and alignment attributes. The text and font can be set in the constructor or set or changed later with setText() and setFont(). The color is set with setColor() and the alignment with setTextFlags(). The text item's bounding rectangle is retrieved with boundingRect().

The text can be drawn on a painter with draw().

Like any other canvas item text items can be moved with TQCanvasItem::move() and TQCanvasItem::moveBy(), or by setting coordinates with TQCanvasItem::setX(), TQCanvasItem::setY() and TQCanvasItem::setZ().

See also Graphics Classes and Image Processing Classes.

## Member Function Documentation

### TQCanvasText::TQCanvasText ( TQCanvas * canvas )

Constructs a TQCanvasText with the text "<text>", on canvas.

### TQCanvasText::TQCanvasText ( const TQString & t, TQCanvas * canvas )

Constructs a TQCanvasText with the text t, on canvas canvas.

### TQCanvasText::TQCanvasText ( const TQString & t, TQFont f, TQCanvas * canvas )

Constructs a TQCanvasText with the text t and font f, on the canvas canvas.

### TQCanvasText::~TQCanvasText ()`[virtual]`

Destroys the canvas text item.

### TQRect TQCanvasText::boundingRect () const`[virtual]`

Returns the bounding rectangle of the text.

Reimplemented from TQCanvasItem.

### TQColor TQCanvasText::color () const

Returns the color of the text.

See also setColor().

### void TQCanvasText::draw ( TQPainter & painter )`[virtual protected]`

Draws the text using the painter painter.

Reimplemented from TQCanvasItem.

### TQFont TQCanvasText::font () const

Returns the font in which the text is drawn.

See also setFont().

### int TQCanvasText::rtti () const`[virtual]`

Returns 3 (TQCanvasItem::Rtti_Text).

See also TQCanvasItem::rtti().

Reimplemented from TQCanvasItem.

### void TQCanvasText::setColor ( const TQColor & c )

Sets the color of the text to the color c.

See also color() and setFont().

Example: chart/chartform_canvas.cpp.

### void TQCanvasText::setFont ( const TQFont & f )

Sets the font in which the text is drawn to font f.

See also font().

### void TQCanvasText::setText ( const TQString & t )

Sets the text item's text to t. The text may contain newlines.

See also text(), setFont(), setColor(), and setTextFlags().

Example: canvas/canvas.cpp.

### void TQCanvasText::setTextFlags ( int f )

Sets the alignment flags to f. These are a bitwise OR of the flags available to TQPainter::drawText() -- see the TQt::AlignmentFlags.

See also setFont() and setColor().

### TQString TQCanvasText::text () const

Returns the text item's text.

See also setText().

### int TQCanvasText::textFlags () const

Returns the currently set alignment flags.

See also setTextFlags() and TQt::AlignmentFlags.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.